Cantera 2.6.0

Classes | Namespaces | Enumerations | Functions | Variables
Integrator.h File Reference
`#include "FuncEval.h"`
`#include "cantera/base/global.h"`
Include dependency graph for Integrator.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Integrator
| Abstract base class for ODE system integrators. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Enumerations
enum | MethodType { BDF_Method , Adams_Method }
| Specifies the method used to integrate the system of equations. More...
enum | IterType { Newton_Iter , Functional_Iter }
| Specifies the method used for iteration. More...

## Functions
Integrator * | newIntegrator (const std::string &itype)

## Variables
const int | DIAG = 1
const int | DENSE = 2
const int | NOJAC = 4
const int | JAC = 8
const int | GMRES = 16
const int | BAND = 32